pangomm: Pango::FontFace Class Reference

pangomm 2.56.1

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Pango::FontFace Class Reference

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes. More...

`#include <pangomm/fontface.h>`

Inheritance diagram for Pango::FontFace:
[legend]

## Public Member Functions
| FontFace (FontFace && src) noexcept
FontFace & | operator= (FontFace && src) noexcept
| ~FontFace () noexcept override
PangoFontFace * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontFace * | gobj () const
| Provides access to the underlying C GObject.
PangoFontFace * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
FontDescription | describe () const
| Returns the family, style, variant, weight and stretch of a Pango::FontFace.
Glib::ustring | get_name () const
| Gets a name representing the style of this face.
std::vector< int > | list_sizes () const
| List the available sizes for a font.
bool | is_synthesized () const
| Returns whether a Pango::FontFace is synthesized.
Glib::RefPtr< FontFamily > | get_family ()
| Gets the Pango::FontFamily that face belongs to.
Glib::RefPtr< const FontFamily > | get_family () const
| Gets the Pango::FontFamily that face belongs to.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Pango::FontFace > | wrap (PangoFontFace * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

## Constructor & Destructor Documentation

## ◆ FontFace()

Pango::FontFace::FontFace | ( | FontFace && | src | ) |
| noexcept

## ◆ ~FontFace()

Pango::FontFace::~FontFace | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ describe()

FontDescription Pango::FontFace::describe | ( |  | ) | const

Returns the family, style, variant, weight and stretch of a Pango::FontFace.

The size field of the resulting font description will be unset.

Returns
  A Pango::FontDescription holding the description of the face.

## ◆ get_family() [1/2]

Glib::RefPtr< FontFamily > Pango::FontFace::get_family | ( |  | ) |

Gets the Pango::FontFamily that face belongs to.

Since pangomm 1.46

Returns
  The Pango::FontFamily.

## ◆ get_family() [2/2]

Glib::RefPtr< const FontFamily > Pango::FontFace::get_family | ( |  | ) | const

Gets the Pango::FontFamily that face belongs to.

Since pangomm 1.46

Returns
  The Pango::FontFamily.

## ◆ get_name()

Glib::ustring Pango::FontFace::get_name | ( |  | ) | const

Gets a name representing the style of this face.

Note that a font family may contain multiple faces with the same name (e.g. a variable and a non-variable face for the same style).

Returns
  The face name for the face. This string is owned by the face object and must not be modified or freed.

## ◆ get_type()

GType Pango::FontFace::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

PangoFontFace * Pango::FontFace::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoFontFace * Pango::FontFace::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

PangoFontFace * Pango::FontFace::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_synthesized()

bool Pango::FontFace::is_synthesized | ( |  | ) | const

Returns whether a Pango::FontFace is synthesized.

This will be the case if the underlying font rendering engine creates this face from another face, by shearing, emboldening, lightening or modifying it in some other way.

Since pangomm 1.18

Returns
  Whether face is synthesized.

## ◆ list_sizes()

std::vector< int > Pango::FontFace::list_sizes | ( |  | ) | const

List the available sizes for a font.

This is only applicable to bitmap fonts. For scalable fonts this returns an empty array. The sizes returned are in Pango units and are sorted in ascending order.

## ◆ operator=()

FontFace & Pango::FontFace::operator= | ( | FontFace && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Pango::FontFace > wrap | ( | PangoFontFace * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.